> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tracecat.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Accept Invitation

> Accept an invitation and join the organization.

This endpoint doesn't require organization context since the user
may not belong to any organization yet. Uses AuthenticatedUserOnly
which only requires an authenticated user (role.organization_id is None).



## OpenAPI

````yaml https://platform.tracecat.com/api/openapi.json post /organization/invitations/accept
openapi: 3.1.0
info:
  title: Tracecat API
  summary: Tracecat API
  description: The open source AI automation platform for security teams and agents.
  termsOfService: >-
    https://docs.google.com/document/d/e/2PACX-1vQvDe3SoVAPoQc51MgfGCP71IqFYX_rMVEde8zC4qmBCec5f8PLKQRdxa6tsUABT8gWAR9J-EVs2CrQ/pub
  contact:
    name: Tracecat Founders
    email: founders@tracecat.com
  license:
    name: AGPL-3.0
    url: https://www.gnu.org/licenses/agpl-3.0.html
  version: '1'
servers:
  - url: /api
security: []
tags:
  - name: public
    description: Public facing endpoints
  - name: workflows
    description: Workflow management
  - name: actions
    description: Action management
  - name: triggers
    description: Workflow triggers
  - name: secrets
    description: Secret management
  - name: variables
    description: Workspace variable management
paths:
  /organization/invitations/accept:
    post:
      tags:
        - organization
      summary: Accept Invitation
      description: >-
        Accept an invitation and join the organization.


        This endpoint doesn't require organization context since the user

        may not belong to any organization yet. Uses AuthenticatedUserOnly

        which only requires an authenticated user (role.organization_id is
        None).
      operationId: organization-accept_invitation
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/OrgInvitationAccept'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                additionalProperties:
                  type: string
                type: object
                title: Response Organization-Accept Invitation
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyCookie: []
components:
  schemas:
    OrgInvitationAccept:
      properties:
        token:
          type: string
          title: Token
      type: object
      required:
        - token
      title: OrgInvitationAccept
      description: Request body for accepting an organization invitation via token.
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyCookie:
      type: apiKey
      in: cookie
      name: fastapiusersauth

````